% rosenbrock function
% minimum = 0;  X = [1...1]

function Y = rosenbrock(X)
% Y is a column vector, X is a matrix, each row of X is a sample

dim = size(X,2);  % dimension of the problem, i.e., length of each sample

Y=sum ((X(:,1:dim-1)-1).^2+100*(X(:,2:dim)-(X(:,1:dim-1)).^2).^2, 2);
% for maximization prob; max = -1
%Y = -Y*0.1-1;
Y=-Y;